Bug 884402 - RFE:[WebTrans] Entry should NOT move unless it is absolutely needed
RFE:[WebTrans] Entry should NOT move unless it is absolutely needed
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Usability (Show other bugs)
2.0
Unspecified Unspecified
unspecified Severity medium
: ---
: 2.1
Assigned To: Patrick Huang
Ding-Yi Chen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-06 01:51 EST by Ding-Yi Chen
Modified: 2013-02-25 23:06 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.1-SNAPSHOT (20121214-0032)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-25 23:06:16 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ding-Yi Chen 2012-12-06 01:51:23 EST
Description of problem:
The current editing entry is always put in the middle. This behavior may annoy mouse users, as they expected the selected entry is right under the mouse cursor.

Version-Release number of selected component (if applicable):
Zanata version 2.1-SNAPSHOT (20121206-1113)

How reproducible:
Always

Steps to Reproduce:
1. Visit a document with many short messages, such as software project.
2. Click at an entry on the lower part of the screen.
  
Actual results:
The selected entry moved to middle.

Expected results:
1. If whole entry can be seen, then stay at that same place.
2. else scroll up or down until whole entry can be seen.

Additional info:
Comment 1 Patrick Huang 2012-12-10 22:14:27 EST
committed into master:
https://github.com/zanata/zanata/commit/acb39547bccefd17414c9370493bf7011515ae16
Comment 2 Ding-Yi Chen 2012-12-16 22:27:38 EST
VERIFIED with Zanata version 2.1-SNAPSHOT (20121214-0032)

Note You need to log in before you can comment on or make changes to this bug.